Loading...
Searching...
No Matches
casacore::Gridder< Domain, Range > Class Template Referenceabstract
scimath package (libcasa_scimath) » Mathematics_module

More...

`#include <Gridder.h>`

## Public Member Functions

| Gridder ()
| Gridder (const IPosition &shape, const Vector< Domain > &scale, const Vector< Domain > &offset)
virtual | ~Gridder ()
virtual Bool | grid (Array< Range > &, const Vector< Domain > &position, const Range &value)=0
virtual Bool | degrid (const Array< Range > &, const Vector< Domain > &position, Range &value)=0
virtual Range | correct (const IPosition &loc)
virtual void | correctX1D (Vector< Range > &factor, const Int locy)
| Return a correction vector in x for loc y.
Vector< Int > & | location (Vector< Int > &loc, const Vector< Domain > &pos)
Vector< Domain > & | position (Vector< Domain > &gpos, const Vector< Domain > &pos)
virtual Bool | onGrid (const Vector< Int > &loc)
virtual Bool | onGrid (const Vector< Int > &loc, const Vector< Int > &delta)
virtual Bool | onGrid (const Vector< Domain > &pos)
void | setOffset (const Vector< Int > &off)
void | setOffset (const IPosition &off)

## Protected Member Functions

Int | nint (Double val)
virtual void | fillCorrectionVectors ()
virtual Range | correctionFactor1D (Int loc, Int len)=0
| Correction factor for 1 dimension.

## Protected Attributes

Int | ndim
IPosition | shape
Vector< Domain > | scale
Vector< Domain > | offset
Vector< Domain > | posVec
Vector< Int > | locVec
Vector< Int > | shapeVec
Vector< Int > | zeroShapeVec
Vector< Int > | offsetVec
Vector< Int > | centerVec
Vector< Vector< Range > > | correctionVectors

## Detailed Description

template<class Domain, class Range>
class casacore::Gridder< Domain, Range >

A base class for gridding

Definition at line 43 of file Gridder.h.

## Constructor & Destructor Documentation

## Gridder() [1/2]

template<class Domain, class Range>

casacore::Gridder< Domain, Range >::Gridder | ( |  | ) |

## Gridder() [2/2]

template<class Domain, class Range>

casacore::Gridder< Domain, Range >::Gridder | ( | const IPosition & | shape,
|  | const Vector< Domain > & | scale,
|  | const Vector< Domain > & | offset )

References offset, scale, and shape.

## ~Gridder()

template<class Domain, class Range>

virtual casacore::Gridder< Domain, Range >::~Gridder | ( |  | ) |

virtual

## Member Function Documentation

## correct()

template<class Domain, class Range>

virtual Range casacore::Gridder< Domain, Range >::correct | ( | const IPosition & | loc | ) |

virtual

## correctionFactor1D()

template<class Domain, class Range>

virtual Range casacore::Gridder< Domain, Range >::correctionFactor1D | ( | Int | loc,
|  | Int | len )

protected pure virtual

Correction factor for 1 dimension.

This is virtual and must be assigned appropriately for derived classes

Implemented in casacore::ConvolveGridder< Domain, Range >, and casacore::NNGridder< Domain, Range >.

## correctX1D()

template<class Domain, class Range>

virtual void casacore::Gridder< Domain, Range >::correctX1D | ( | Vector< Range > & | factor,
|  | const Int | locy )

virtual

Return a correction vector in x for loc y.

References casacore::factor.

## degrid()

template<class Domain, class Range>

virtual Bool casacore::Gridder< Domain, Range >::degrid | ( | const Array< Range > & | ,
|  | const Vector< Domain > & | position,
|  | Range & | value )

pure virtual

Implemented in casacore::ConvolveGridder< Domain, Range >, and casacore::NNGridder< Domain, Range >.

References casacore::NewDelAllocator< T >::value, and position().

## fillCorrectionVectors()

template<class Domain, class Range>

virtual void casacore::Gridder< Domain, Range >::fillCorrectionVectors | ( |  | ) |

protected virtual

## grid()

template<class Domain, class Range>

virtual Bool casacore::Gridder< Domain, Range >::grid | ( | Array< Range > & | ,
|  | const Vector< Domain > & | position,
|  | const Range & | value )

pure virtual

Implemented in casacore::ConvolveGridder< Domain, Range >, and casacore::NNGridder< Domain, Range >.

References casacore::NewDelAllocator< T >::value, and position().

## location()

template<class Domain, class Range>

Vector< Int > & casacore::Gridder< Domain, Range >::location | ( | Vector< Int > & | loc,
|  | const Vector< Domain > & | pos )

## nint()

template<class Domain, class Range>

Int casacore::Gridder< Domain, Range >::nint | ( | Double | val | ) |

inline protected

Definition at line 80 of file Gridder.h.

## onGrid() [1/3]

template<class Domain, class Range>

virtual Bool casacore::Gridder< Domain, Range >::onGrid | ( | const Vector< Domain > & | pos | ) |

virtual

## onGrid() [2/3]

template<class Domain, class Range>

virtual Bool casacore::Gridder< Domain, Range >::onGrid | ( | const Vector< Int > & | loc | ) |

virtual

## onGrid() [3/3]

template<class Domain, class Range>

virtual Bool casacore::Gridder< Domain, Range >::onGrid | ( | const Vector< Int > & | loc,
|  | const Vector< Int > & | delta )

virtual

## position()

template<class Domain, class Range>

Vector< Domain > & casacore::Gridder< Domain, Range >::position | ( | Vector< Domain > & | gpos,
|  | const Vector< Domain > & | pos )

Referenced by casacore::ConvolveGridder< Domain, Range >::degrid(), degrid(), casacore::NNGridder< Domain, Range >::degrid(), casacore::ConvolveGridder< Domain, Range >::grid(), grid(), and casacore::NNGridder< Domain, Range >::grid().

## setOffset() [1/2]

template<class Domain, class Range>

void casacore::Gridder< Domain, Range >::setOffset | ( | const IPosition & | off | ) |

## setOffset() [2/2]

template<class Domain, class Range>

void casacore::Gridder< Domain, Range >::setOffset | ( | const Vector< Int > & | off | ) |

## Member Data Documentation

## centerVec

template<class Domain, class Range>

Vector<Int> casacore::Gridder< Domain, Range >::centerVec

protected

Definition at line 100 of file Gridder.h.

## correctionVectors

template<class Domain, class Range>

Vector<Vector<Range> > casacore::Gridder< Domain, Range >::correctionVectors

protected

Definition at line 102 of file Gridder.h.

## locVec

template<class Domain, class Range>

Vector<Int> casacore::Gridder< Domain, Range >::locVec

protected

Definition at line 96 of file Gridder.h.

## ndim

template<class Domain, class Range>

Int casacore::Gridder< Domain, Range >::ndim

protected

Definition at line 88 of file Gridder.h.

## offset

template<class Domain, class Range>

Vector<Domain> casacore::Gridder< Domain, Range >::offset

protected

Definition at line 92 of file Gridder.h.

Referenced by casacore::ConvolveGridder< Domain, Range >::ConvolveGridder(), Gridder(), and casacore::NNGridder< Domain, Range >::NNGridder().

## offsetVec

template<class Domain, class Range>

Vector<Int> casacore::Gridder< Domain, Range >::offsetVec

protected

Definition at line 99 of file Gridder.h.

## posVec

template<class Domain, class Range>

Vector<Domain> casacore::Gridder< Domain, Range >::posVec

protected

Definition at line 94 of file Gridder.h.

## scale

template<class Domain, class Range>

Vector<Domain> casacore::Gridder< Domain, Range >::scale

protected

Definition at line 91 of file Gridder.h.

Referenced by casacore::ConvolveGridder< Domain, Range >::ConvolveGridder(), Gridder(), and casacore::NNGridder< Domain, Range >::NNGridder().

## shape

template<class Domain, class Range>

IPosition casacore::Gridder< Domain, Range >::shape

protected

Definition at line 89 of file Gridder.h.

Referenced by casacore::ConvolveGridder< Domain, Range >::ConvolveGridder(), Gridder(), and casacore::NNGridder< Domain, Range >::NNGridder().

## shapeVec

template<class Domain, class Range>

Vector<Int> casacore::Gridder< Domain, Range >::shapeVec

protected

Definition at line 97 of file Gridder.h.

## zeroShapeVec

template<class Domain, class Range>

Vector<Int> casacore::Gridder< Domain, Range >::zeroShapeVec

protected

Definition at line 98 of file Gridder.h.

The documentation for this class was generated from the following file:

- scimath/Mathematics/Gridder.h